Erreur 404 sur PUT /settings/hint

Bonjour,

J’ai voulu utiliser l’application passwords après l’avoir installé, sauf que je me prends un 404 sur /settings/hint

J’ai fait un cozy-stack instances --domain 'mon domaine' update en préventif, mais rien n’y fait.

Qu’ais-je manqué ?

Hello @Andro,

Est-ce que vous avez mis à jour le paquet Cozy récemment ? Le gestionnaire de mots de passe utilise des fonctionnalités qui ont été ajoutées ces derniers mois dans le serveur, mais normalement tout le nécessaire est disponible dans la dernière version du paquet.

Je pensais qu’un cozy-stack update faisait le job.
Si ce n’est pas le cas, alors non je ne l’ai pas fait.

Non, à ma connaissance cozy-stack update n’existe pas. Par contre, si tu as installé l’application à partir de nos paquets pour Debian ou Ubuntu, il devrait suffire de mettre à jour le paquet.

J’ai fait une mise à jour, j’ai ca :

cozy/stretch,now 2:1.4.0-1 all  [installé]
cozy-coclyco/stretch,now 0.5.0-1 all  [installé, automatique]
cozy-couchdb/stretch,now 2.2.0-1 amd64  [installé]
cozy-couchdb-dbgsym/stretch 2.2.0-1 amd64
cozy-keyring/now 20191031.1 all  [installé, local]
cozy-nsjail/now 1.8-1 amd64  [installé, local]
cozy-stack/stretch,now 2:1.4.0-1 amd64  [installé]

mais ca ne marche toujours pas, ais-je la bonne version ?

Non, 1.4.0 est ancien, on est en 1.4.8 actuellement.

Ok j’ai réussi en installant le paquet à la main avec dpkg -i
Sans ca, apt ne voyait que la version 1.4.0

Du coup, ca marche nikel, chapeau pour la feature :slight_smile:

1 Like